# Threads

Create product threads, send messages, and read timeline/event evidence through Seaplane.

## Thread control plane

Threads are owned by Seaplane and accessed through `/api/seaplane/v1/threads`. Use thread APIs when your integration needs SeaChat conversations, runtime dispatch, or timeline evidence.

```bash
curl https://seachat.ai/api/seaplane/v1/threads \
  -H "Authorization: Bearer $SEACHAT_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"title":"API integration smoke","runtimeSource":"cloud"}'
```

## Messages

Send user messages through `/api/seaplane/v1/threads/{threadId}/messages`. Use a stable client message id when retrying from your application.

```bash
curl https://seachat.ai/api/seaplane/v1/threads/$THREAD_ID/messages \
  -H "Authorization: Bearer $SEACHAT_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"role":"user","content":"Create a release checklist","clientMessageId":"docs-smoke-001"}'
```
